[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStrings.EndUpdate

Mark the end of an update batch.

## Declaration

Source position: classesh.inc line 721

`public procedure TStrings.EndUpdate;`

## Description

EndUpdate should be called at the end of a lengthy operation on the stringlist, but only if there was a call to BeginUpdate before the operation was started. It is best to put the call to EndUpdate in the context of a Finally block, so it will be called even if an exception occurs.

For more information, see TStrings.BeginUpdate.

TStrings implements the IFPObserved interface: when EndUpdate is called, a ooChanged notification is sent to all observers.

## See also

TStrings.BeginUpdate |  | Mark the beginning of an update batch.
IFPObserved |  | Interface implemented by an object that can be observed.